﻿-- English localization file for enUS and enGB.
local AceLocale = LibStub:GetLibrary("AceLocale-3.0")
local L = AceLocale:NewLocale("SpeakinSpell", "enUS", true)
if not L then return end


-------------------------------------------------------------------------------
-- THE NAME OF THIS ADDON
-------------------------------------------------------------------------------


-- the name SpeakinSpell is a reference to a children's toy from the early 1980s
-- see http://en.wikipedia.org/wiki/Speak_&_Spell_(game) for details
L["SpeakinSpell"] = "SpeakinSpell"


-------------------------------------------------------------------------------
-- SLASH COMMANDS (do not include the leading /)
-------------------------------------------------------------------------------


-- "/SpeakinSpell" prefix and abbreviations
L["/SpeakinSpell"] = "SpeakinSpell"
L["/speakinspell"] = "speakinspell"
L["/SS"] = "SS"
L["/ss"] = "ss"

-- parameters for "/ss something"
L["/options"]	= "options"		-- /ss options
L["/reset"]		= "reset"		-- /ss reset
L["/help"]		= "help"		-- /ss help
L["/create"]	= "create"		-- /ss create
L["/messages"]	= "messages"	-- /ss messages
L["/macro"]		= "macro"		-- /ss macro

L["/advertise"]	= "ad"			-- /ss ad
L["/ad /w"]		= "ad /w"		-- used in /ss ad /w playername (if playername is omitted, applies to selected target)
L["/ad /s"]		= "ad /s"		-- /ss ad /s
L["/ad /p"]		= "ad /p"		-- /ss ad /p
L["/ad /ra"]	= "ad /ra"		-- /ss ad /ra


-------------------------------------------------------------------------------
-- YES AND NO
-------------------------------------------------------------------------------
-- These strings are used as buttons in popup message boxes


L["Yes"]= "Yes"
L["No"] = "No"
L["OK"] = "OK"


-------------------------------------------------------------------------------
-- CHAT CHANNEL NAMES
-------------------------------------------------------------------------------
-- These channel names are displayed as drop-down list options in the GUI


L["SAY"]			= "Say (/s)"
L["PARTY"]			= "Party (/p)"
L["RAID"]			= "Raid (/ra)"
L["BATTLEGROUND"]	= "Battleground (/bg)"
L["EMOTE"]			= "Emote (/em)"
L["YELL"]			= "Yell (/y)"
L["RAID_WARNING"]	= "Raid Warning (/rw)"
L["Silent"]			= "Silent" -- messages are disabled


-------------------------------------------------------------------------------
-- SUBSTITUTION TABLE
-------------------------------------------------------------------------------
-- These are the substitution variables which may be used in random speeches


L["<target>"] = "target" -- the target's name
L["<focus>"] = "focus" -- the focus target's name
L["<targetclass>"] = "targetclass" -- the target's name
L["<targetrace>"] = "targetrace" -- the target's name
L["<player>"] = "player" -- the player's name
L["<caster>"] = "caster" -- the player's name
L["<spellname>"] = "spellname" -- the name of a spell
L["<spellrank>"] = "spellrank" -- the rank of a spell
L["<spelllink>"] = "spelllink" -- link the spell in chat like shift-click
L["<pet>"] = "pet" -- the name of the player's pet
L["<TM>"] ="TM" -- becomes the "trademark" symbol
L["<R>"] = "R" -- becomes the "registered trademark" symbol
L["<C>"] = "C" -- becomes the "Copyright (C)" symbol


-------------------------------------------------------------------------------
-- Event Types
-------------------------------------------------------------------------------


-- the types of events, as they appear in the list of detected events

-- label of the list under Message Settings
L["Select a Spell"] = "Select a Spell or Other Event"
L["Select a Spell TOOLTIP"] = "Select a spell from the list to configure the random announcements for that spell."
-- different tooltip used for the same kind of list under Create New
L["Select a Spell TOOLTIP - Create New"] = [[This is a list of all the detected spells, abilities, items, and procced effects which SpeakinSpell has seen you cast or receive recently.]]

-- prefixes used in the list of spells
L.EVENTTYPES = {
	IN_SPELL_LIST = {
		["EVENT"]					= "System Event: ",-- ..eventname
		["MACRO"]					= "When I Type: /ss ",-- ..input ==> "User Macro Event: /ss macro something"
		["UNIT_SPELLCAST_SENT"]		= "When I Start Casting: ",--..spellname (rank)
		["SPELL_AURA_APPLIED_BUFF"]	= "When I buff myself with: ",--..spellname
		["SPELL_AURA_APPLIED_DEBUFF"]= "When I debuff myself with: ",--..spellname
		["SPELL_AURA_APPLIED_BUFF_FOREIGN"]	= "When someone else buffs me with: ",--..spellname
		["SPELL_AURA_APPLIED_DEBUFF_FOREIGN"]= "When someone else debuffs me with: ",--..spellname
	},

	AS_FILTERS = {
		["ALL"]						= "_ Show All Types of Events _",
		["EVENT"]					= "System Events",
		["MACRO"]					= "/ss macro things you type",
		["UNIT_SPELLCAST_SENT"]		= "Spells, Abilities, and Items",
		["SPELL_AURA_APPLIED_BUFF"]	= "Self Buffs (includes procs)",
		["SPELL_AURA_APPLIED_DEBUFF"]= "Self Debuffs",
		["SPELL_AURA_APPLIED_BUFF_FOREIGN"]	= "Buffs from Others (includes totems)",--..spellname
		["SPELL_AURA_APPLIED_DEBUFF_FOREIGN"]= "Debuffs from Others",--..spellname
	},
}

-- The names of "EVENT" type events themselves
L.EVENTNAMES = {
	["SpeakinSpell Loaded"] = "SpeakinSpell Loaded",
	["Entering Combat"] = "Entering Combat",
	["Exiting Combat"] = "Exiting Combat",
}

-------------------------------------------------------------------------------
-- OPTIONS GUI LABELS AND TOOLTIPS
-------------------------------------------------------------------------------


L["General Settings"] = "General Settings"
L["General Settings TOOLTIP"] = "General Settings for SpeakinSpell"

L["Message Settings"] = "Message Settings for spells, abilities, items, proc effects, custom macros, and other events"

L["Message Settings TITLE"] = "Message Settings"
L["Create New..."] = "Create New..."
L["Trade"] = "Trade"
L["SpeakinSpell Help"] = "SpeakinSpell Help"

L["Create New... TOOLTIP"] = "Click here to create settings for a new spell, ability, effect, macro, or other event"

L["Disable announcements for this spell"] = "Disable announcements for this event"
L["Disable announcements for this spell TOOLTIP"] = "Stop SpeakinSpell from announcing the selected spell or event"

L["Enable All Messages"] = "Enable SpeakinSpell"
L["Enable All Messages TOOLTIP"] = "Disable this option to silence all SpeakinSpell speeches"

L["Report detected spell events"] = "Report detected spell, ability, and proc events"
L["Report detected spell events TOOLTIP"] = [[Enable this option to make SpeakinSpell show you (and only you) all of your own spell casting events and other events that it detects.  This includes any spell, ability, item, /ss macro things, or automatically obtained effect (e.g. Trinkets or Talents) that you cast or use.  This can be useful for figuring out the name of the spell that is cast by an item, which is typically not the name of the item itself.]]

L["Show Debugging Messages (verbose)"] = "Show Debugging Messages (verbose)"
L["Show Debugging Messages TOOLTIP"] = [[Enable this option to show much more information than "Report detected spell, ability, and proc events" above]]

L["Delete Spell"] = "Remove Spell"
L["Delete Spell TOOLTIP"] = "Remove the selected spell from the list"

L["Select the channels to use when announcing this spell when"] = "Select the channel to use for this spell, while..."

L["In a Battleground"] = "In a Battleground"
L["In a Battleground TOOLTIP"] = "Select which channel to use for this spell while in a Battleground"

L["In a Raid"] = "In a Raid"
L["In a Raid TOOLTIP"] = "Select which channel to use for this spell while in a Raid"

L["In a Party"] = "In a Party"
L["In a Party TOOLTIP"] = "Select which channel to use for this spell while in a Party"

L["By yourself"] = "By yourself"
L["By yourself TOOLTIP"] = "Select which channel to use for this spell while playing solo"

L["In Arena"] = "In Arena"
L["In Arena TOOLTIP"] = "Select which channel to use for this spell while playing in the Arena"

L["Whisper the message to your target"] = "Whisper the message to your target"
L["Whisper the message to your target TOOLTIP"] = [[
Enable whispering a message to the friendly target of your spell. Does not work for whispering to your current target when you use an ability on yourself.
]]

L["How often do you want to announce this spell?"] = "Select a random chance to say a message for this spell"
L["How often TOOLTIP"] = [[
You have a random chance to say a message each time you use the selected spell, based on this selected percentage.  100% will always speak. 0% will never speak.
]]

L["Cooldown on announcements for this spell"] = "Cooldown on messages for this spell (seconds)"
L["Cooldown TOOLTIP"] = [[
To prevent SpeakinSpell from speaking in the chat too often for this spell, you can set a cooldown for how many seconds must pass before SpeakinSpell will announce this spell again.]]

L["NEW SPELL INSTRUCTIONS"] = [[
The list below shows all of the spells, abilities, and other effects that SpeakinSpell has detected since it was installed (v3.1.3.03 or newer).

Select an event which you wish to announce in the chat, and then click the Create button to continue.

If the spell or event that you're looking for is not in the list, then cast it or trigger its effect, and then reopen this window.
]]

L["Select a Category of Events"] = "Select a Category of Events"
L["Select a Category of Events TOOLTIP"] = "Show only this kind of event in the list below"

L["Create Selected Event"] = "Create Selected Event"
L["Create Selected Event TOOLTIP"] = "Select the new spell event you want to announce in chat above, then push this button"

L["Enter a new Spell Name"] = "Enter a new Spell Name"
L["Enter a new Spell Name TOOLTIP"] = [[Type the name of a spell, ability, item's spell effect, or proc effect that you want to trigger random speeches.]]

L["Cancel New Spell"] = "Cancel New Spell"
L["Cancel New Spell TOOLTIP"] = "Cancel entering the new spell and return to the previous interface."

L["ADD FIRST SPELL INSTRUCTIONS"] = [[You do not have any messages configured for any of this character's spells or abilities

Click "Add Spell" to get started]]

L["Random Speech i"] = "Random Speech %d" -- the %d will be replaced with a number 1 to 50
L["Random Speech i TOOLTIP"] = "Enter something funny to say here"


-------------------------------------------------------------------------------
-- ADDON MESSAGES (not random speeches - these are system/runtime messages)
-------------------------------------------------------------------------------


L["Loaded version %s"] = "Loaded version %s" -- the %s will be replaced with the current SpeakinSpell version number, for example "3.0.3.08"
L["Default settings restored"] = "Default settings restored"

-- tooltips on help screen navigation buttons
-- the names of the buttons are the names of the target pages
-- this mouseover tooltip is used for all of them
L["Go to the first help topic"] = "Go to the first help topic"
L["Go to the next help topic"] = "Go to the next help topic"


L["WARNING: can't execute protected command: %s"] = "WARNING: can't execute protected command: %s"

L["(Any Rank)"] = "(Any Rank)"
